body {
  background-color: #fff;
}

.login-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  height: 100vh;
}

.login-form {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.form-wrapper {
  max-width: 450px;
  width: 90%;
  box-shadow: 0px 0px 10px #c5c5c58f;
  border-radius: 0.5rem;
  padding: 1.5rem;
}

.logo {
  width: 150px;
  margin-bottom: 1rem;
}

h1 {
  font-size: 1.8rem;
  margin-bottom: 0.5rem;
}

p {
  margin-bottom: 1.5rem;
  color: #555;
}

.form-group {
  margin-bottom: 1.2rem;
}

label {
  display: block;
  margin-bottom: 0.4rem;
  font-weight: bold;
  font-size: 0.9rem;
}

input {
  width: 100%;
  padding: 0.7rem;
  border: 1px solid #ccc;
  border-radius: 0.3rem;
}

input:focus {
  outline: none;
  border-color: var(--primary-color);
  box-shadow: 0 0 2px var(--primary-color);
}

.forgot-password {
  text-align: right;
  margin-bottom: 20px;
}

.forgot-password a {
  font-size: 13px;
  color: #333;
  text-decoration: none;
}

.login-btn-container {
  display: flex;
  justify-content: end;
}

.loginBtn {
  padding: 0.5em 1em;
  border-radius: 0.3rem;
  background: var(--primary-color);
  color: #fff;
  transition: background 0.2s;
}

.loginBtn:hover {
  background: var(--primary-hover-color);
}

.signup-text {
  margin-top: 1rem;
  font-size: 0.9rem;
}

.signup-text a {
  color: #0077cc;
  text-decoration: none;
}

.signup-text a:hover {
  text-decoration: underline;
}

.login-image {
  position: relative;
  height: 100vh;
  overflow: hidden;
}

.login-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.password-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}

.password-wrapper input {
  flex: 1;
  padding-right: 2.5rem;
}

.password-wrapper button {
  position: absolute;
  right: 0.5rem;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.password-wrapper img {
  opacity: 0.7;
  transition: opacity 0.2s ease-in-out;
}

.password-wrapper button:hover img {
  opacity: 1;
}

@media (max-width: 768px) {
  .login-container {
    grid-template-columns: 1fr;
  }

  .login-image {
    display: none;
  }
}